Skip to main content
POST
/
api
/
apps
/
beta
/
apps
/
{appId}
/
thumbnail
Upsert App Thumbnail
curl --request POST \
  --url https://api.example.com/api/apps/beta/apps/{appId}/thumbnail \
  --header 'Content-Type: application/json' \
  --header 'X-Domino-Api-Key: <api-key>' \
  --data '
{
  "contentBase64": "<string>",
  "contentType": "<string>",
  "filename": "<string>"
}
'
{
  "created": true,
  "etag": "<string>",
  "filename": "<string>",
  "sizeBytes": 123
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

appId
string
required

The id of the app to upsert the thumbnail for.

Body

application/json

Base64-encoded thumbnail and content type

contentBase64
string
required

Base64-encoded thumbnail bytes

contentType
string
required

MIME type of the thumbnail content (e.g., image/png)

filename
string

Original filename of the thumbnail (if provided)

Response

Replaced existing thumbnail

created
boolean
required

Whether a new thumbnail document was created (vs replaced)

etag
string
required

ETag of the upserted thumbnail

filename
string

Original filename of the upserted thumbnail, if provided

sizeBytes
number

Size of the upserted thumbnail in bytes